Package com.emc.documentum.rest.dfc

# Interface GroupManager

public interface GroupManager
The group manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addGroupMember(String groupName, String memberName)`
  Add a member to a group.
  `void`
  `addMember(String groupName, String memberName)`
  Deprecated.
  `void`
  `addUserMember(String groupName, String memberName)`
  Add a member to a group.
  `GroupObject`
  `createGroup(GroupObject group)`
  Create a group.
  `void`
  `deleteGroup(String groupName)`
  Delete a group.
  `GroupObject`
  `get(String groupName, AttributeView attributeView)`
  Get the group by its name.
  `void`
  `removeGroupMember(String groupName, String memberName)`
  Remove a member from a group.
  `void`
  `removeMember(String groupName, String memberName)`
  Deprecated.
  `void`
  `removeUserMember(String groupName, String memberName)`
  Remove a member from a group.
  `GroupObject`
  `updateGroup(String groupName, GroupObject groupObject)`
  Update a group.

- ## Method Details

  - ### get

    GroupObject get(String groupName, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get the group by its name.
    Parameters:
      `groupName` - the group name
      `attributeView` - the attribute view
    Returns:
      the group object
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### createGroup

    GroupObject createGroup(GroupObject group) throws com.documentum.fc.common.DfException
    Create a group.
    Parameters:
      `group` - the group to be created
    Returns:
      the updated group object
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### updateGroup

    GroupObject updateGroup(String groupName, GroupObject groupObject) throws com.documentum.fc.common.DfException
    Update a group.
    Parameters:
      `groupName` - the group name
      `groupObject` - the properties to be updated
    Returns:
      the updated group object
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### deleteGroup

    void deleteGroup(String groupName) throws com.documentum.fc.common.DfException
    Delete a group.
    Parameters:
      `groupName` - the group name
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### addMember

    @Deprecated void addMember(String groupName, String memberName) throws com.documentum.fc.common.DfException
    Deprecated.
    Add a member to a group.
    Parameters:
      `groupName` - the group name
      `memberName` - the member name which is a group name or a user name
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### removeMember

    @Deprecated void removeMember(String groupName, String memberName) throws com.documentum.fc.common.DfException
    Deprecated.
    Remove a member from a group.
    Parameters:
      `groupName` - the group name
      `memberName` - the member name which is a group name or a user name
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### addUserMember

    void addUserMember(String groupName, String memberName) throws com.documentum.fc.common.DfException
    Add a member to a group.
    Parameters:
      `groupName` - the group name
      `memberName` - the member name which is a group name or a user name
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### removeUserMember

    void removeUserMember(String groupName, String memberName) throws com.documentum.fc.common.DfException
    Remove a member from a group.
    Parameters:
      `groupName` - the group name
      `memberName` - the member name which is a group name or a user name
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### addGroupMember

    void addGroupMember(String groupName, String memberName) throws com.documentum.fc.common.DfException
    Add a member to a group.
    Parameters:
      `groupName` - the group name
      `memberName` - the member name which is a group name or a user name
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation

  - ### removeGroupMember

    void removeGroupMember(String groupName, String memberName) throws com.documentum.fc.common.DfException
    Remove a member from a group.
    Parameters:
      `groupName` - the group name
      `memberName` - the member name which is a group name or a user name
    Throws:
      `com.documentum.fc.common.DfException` - the exception during the operation